Post has attachment
We’ve released Let’s Encrypt 2.5.0: https://ext.plesk.com/packages/f6847e61-33a7-4104-8dc9-d26a0183a8dd-letsencrypt

Changelog (see also https://docs.plesk.com/release-notes/onyx/change-log/#1753-mu20171207 ):
2.5.0 (07 December 2017)
[+] Let's Encrypt extension can now automatically keep all subscription's websites secured. It finds subscription's add-on domains, subdomains, aliases, www, or webmail domains without a certificate, or with a self-signed or expired certificate, and secures them with a free Let's Encrypt certificate. To enable this feature, open the hosting plan or subscription settings, "Additional Services" tab, and select "Keep websites secured with free SSL Certificate" in the list next to "Let's Encrypt". The check runs each hour by default, which can be configured in Tools & Settings > Scheduled Tasks > "Extension letsencrypt" task.
[-] Email address on an IDN domain could not be used to issue a Let's Encrypt certificate for Plesk Panel or a domain. (EXTLETSENC-372, EXTLETSENC-399)
[-] In email notifications, IDN domains were written in punycode. (EXTLETSENC-389)
[-] IDN domain used for Plesk Panel could not be secured. (EXTLETSENC-371)
[-] When automatically renewing a certificate, the extension attempted and failed challenges on disabled domain aliases, included in the current certificate. This resulted in excessive email notifications. Now the extension detects such domain aliases and does not attempt challenges on them. (EXTLETSENC-391)
[-] The extension attempted to automatically renew certificates for suspended and disabled domains, which failed and caused excessive email notifications. (EXTLETSENC-375, EXTLETSENC-387)
[-] Domains without SSL/TLS support had the Let's Encrypt button, allowing users to issue certificates, which could not be used afterwards. (EXTLETSENC-127)
[-] Disabled domain aliases had the Let's Encrypt button, allowing users to attempt to issue a certificate. (EXTLETSENC-397)
[-] Securing Plesk Panel with CLI command did not complete: the certificate was issued and saved to server storage, but was not applied. (EXTLETSENC-374)

Post has attachment
Dear Pleskians,

PHP 7.2.0 is now available for Plesk Onyx 17.5 customers (Update #33)
https://docs.plesk.com/release-notes/onyx/change-log/#contents-1753-mu33

Post has attachment
At the moment, the composition of Plesk forum users looks like this. As you can see, the vast majority are Web developers and IT Admins. What do you think about it? Does this match the composition of this G+ Plesk community?
By the way, who did not vote there - you are welcome to do it right now :)
Photo

Post has attachment
Dear Pleskians!

Last night Plesk was published on Amazon Lightsail! Lightsail focused on simplifying web infrastructure and simple pricing model.

Key things and positives for our customers:

- Launch Plesk is very easy;
- A customer pays only for resources;
- Plesk in Lightsail based on WebAdmin edition. License limits up to 3 domains;
In Plesk shows promo-banner, the banner displays ability to upgrade to WebPro and WebHost;
- Official support is available only first month. Later only community support in the our forum and articles in the Knowledge Base.

https://talk.plesk.com/threads/plesk-was-launched-on-amazon-lightsail.346129/

Hi everyone,


We have published a new version of WordPress Toolkit -- v2.4. This version includes several long-awaited features and multiple bugfixes. Among the important changes are:

- Ability to pre-install WordPress on new subscriptions via the corresponding Service Plan option
- Ability to create sets of plugins and themes and preinstall them together with WordPress via Service Plans
- Dramatic increase in the synchronization operation speed on Linux (we're using rsync now)
- Advanced synchronization options (for instance, if some files are missing on source, you can now choose to remove them from the target).
- A separate server-wide WPT Settings screen for configuring a variety of relevant options previously accessible only via panel.ini
- Support for custom login URLs in case it was modified by third-party plugins or services
- ... and a lot more.

Refer to the Release Notes for the full list of changes: http://docs.plesk.com/release-notes/onyx/change-log/#1753-mu30.

Post has attachment

Post has attachment
Plesk 17.8.7 Preview has been published

Release Notes: https://docs.plesk.com/release-notes/onyx/change-log/
How to install the preview build https://talk.plesk.com/threads/plesk-onyx-17-8-preview.343283/

Now you will go through the initial configuration much faster :)

Post has attachment
We’ve released Let’s Encrypt Extension 2.4.0:

https://ext.plesk.com/packages/f6847e61-33a7-4104-8dc9-d26a0183a8dd-letsencrypt

Changelog (see also https://docs.plesk.com/release-notes/onyx/change-log/#1753-mu20171017 ):
2.4.0 (16 October 2017)
[+] The customers are now notified by email about automatic certificate renewal, both successful and failed. This behaviour can be configured in Tools & Settings – Notifications.
[*] In error reports, technical details are now grouped together in a collapsed text block.
[*] The certificate used for securing mail service will now be renewed and applied automatically. Several issues with renewing certificates were fixed.
[*] On Windows servers, domain certificates used for securing Plesk Panel are now actually renewed instead of removing old certificate and issuing a new one. (Only for Plesk 17.8 and later.)
[-] When creating a subscription or domain with an internationalized domain name, automatic installation of a Let's Encrypt certificate failed. (EXTLETSENC-329)
[-] If Let's Encrypt Authority rejects the request with "Policy forbids issuing for name", the error message now provides relevant information and a reference link. (EXTLETSENC-202)
[-] The certificate used for securing Plesk Panel was not shown in the certificate repository. (EXTLETSENC-187)
[-] Under certain circumstances, the certificate for Plesk Panel was not renewed upon updating the Let's Encrypt extension from versions earlier than 2.0. (EXTLETSENC-322)
[-] When issuing a certificate for a webmail addon domain, if an error occurred, the error message did not provide a relevant explanation. (EXTLETSENC-321)
[-] On Windows servers, symbolic links to certificates were created with extra \ symbols, which prevented opening them with some applications, for example with notepad.exe. (EXTLETSENC-315)

Post has attachment
A new version of WordPress Toolkit is now available.


The main change introduced by this release is the integration of Addendio service within WordPress Toolkit. There are other minor changes as well. View full changelog here: https://docs.plesk.com/release-notes/onyx/change-log/#1753-mu20171012

Post has attachment
A new version of Plesk Mobile app for Android is available now: https://play.google.com/store/apps/details?id=com.odin.plesk.mobile

What's New in Version 1.1.0
1. UI was adapted to tablets.
2. Widgets for server and domain can be added to home screen.
Plesk Mobile
Plesk Mobile
play.google.com
Wait while more posts are being loaded